Developer Documentation

Public Types | Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
OpenMesh::VDPMSynthesizerViewerWidget Class Reference
Inheritance diagram for OpenMesh::VDPMSynthesizerViewerWidget:

## Public Types
typedef MeshViewerWidget | Base
Public Types inherited from MeshViewerWidgetT< M >
typedef M | Mesh
typedef OpenMesh::StripifierT< Mesh > | MyStripifier
Public Types inherited from QGLViewerWidget
typedef QGLWidget | Super

## Public Member Functions
| VDPMSynthesizerViewerWidget (QWidget *_parent=0, const char *_name=0)
void | open_vd_prog_mesh (const char *_filename)
| open view-dependent progressive mesh
void | adaptive_refinement ()
bool | qrefine (VHierarchyNodeHandle _node_handle)
void | force_vsplit (VHierarchyNodeHandle _node_handle)
bool | ecol_legal (VHierarchyNodeHandle _parent_handle, VDPMMesh::HalfedgeHandle &v0v1)
void | get_active_cuts (VHierarchyNodeHandle _node_handle, VDPMMesh::VertexHandle &vl, VDPMMesh::VertexHandle &vr)
void | vsplit (VHierarchyNodeHandle _node_handle, VDPMMesh::VertexHandle vl, VDPMMesh::VertexHandle vr)
void | ecol (VHierarchyNodeHandle _parent_handle, const VDPMMesh::HalfedgeHandle &v0v1)
void | init_vfront ()
Public Member Functions inherited from MeshViewerWidgetT< M >
| MeshViewerWidgetT (QWidget *_parent=0)
| default constructor
| ~MeshViewerWidgetT ()
| destructor
virtual bool | open_mesh (const char *_filename, OpenMesh::IO::Options _opt)
| open mesh
virtual bool | open_texture (const char *_filename)
| load texture
bool | set_texture (QImage &_texsrc)
void | enable_strips ()
void | disable_strips ()
Mesh & | mesh ()
const Mesh & | mesh () const
Public Member Functions inherited from QGLViewerWidget
| QGLViewerWidget (QWidget *_parent=0)
| QGLViewerWidget (QGLFormat &_fmt, QWidget *_parent=0)
void | set_scene_pos (const OpenMesh::Vec3f &_center, float _radius)
void | view_all ()
QAction * | add_draw_mode (const std::string &_s)
| add draw mode to popup menu, and return the QAction created
void | del_draw_mode (const std::string &_s)
| delete draw mode from popup menu
const std::string & | current_draw_mode () const
float | radius () const
const OpenMesh::Vec3f & | center () const
const GLdouble * | modelview_matrix () const
const GLdouble * | projection_matrix () const
float | fovy () const
QAction * | findAction (const char *name)
void | addAction (QAction *action, const char *name)
void | removeAction (const char *name)
void | removeAction (QAction *action)

## Protected Member Functions
virtual void | draw_scene (const std::string &_draw_mode)
| inherited drawing method
Protected Member Functions inherited from MeshViewerWidgetT< M >
virtual void | draw_openmesh (const std::string &_drawmode)
| draw the mesh
void | glVertex (const typename Mesh::VertexHandle _vh)
void | glVertex (const typename Mesh::Point &_p)
void | glNormal (const typename Mesh::VertexHandle _vh)
void | glTexCoord (const typename Mesh::VertexHandle _vh)
void | glColor (const typename Mesh::VertexHandle _vh)
void | glNormal (const typename Mesh::FaceHandle _fh)
void | glColor (const typename Mesh::FaceHandle _fh)
void | glMaterial (const typename Mesh::FaceHandle _fh, int _f=GL_FRONT_AND_BACK, int _m=GL_DIFFUSE)
void | compute_strips (void)
Protected Member Functions inherited from QGLViewerWidget
double | performance (void)
void | setDefaultMaterial (void)
void | setDefaultLight (void)
virtual void | mousePressEvent (QMouseEvent *)
virtual void | mouseReleaseEvent (QMouseEvent *)
virtual void | mouseMoveEvent (QMouseEvent *)
virtual void | wheelEvent (QWheelEvent *)

## Private Member Functions
bool | outside_view_frustum (const OpenMesh::Vec3f &pos, float radius)
bool | oriented_away (float sin_square, float distance_square, float product_value)
bool | screen_space_error (float mue_square, float sigma_square, float distance_square, float product_value)
void | update_viewing_parameters ()
virtual void | keyPressEvent (QKeyEvent *_event)

## Private Attributes
QString | qFilename_
VHierarchy | vhierarchy_
VFront | vfront_
ViewingParameters | viewing_parameters_
float | kappa_square_
bool | adaptive_mode_
unsigned int | n_base_vertices_
unsigned int | n_base_edges_
unsigned int | n_base_faces_
unsigned int | n_details_

## Additional Inherited Members
Protected Attributes inherited from MeshViewerWidgetT< M >
bool | f_strips_
GLuint | tex_id_
GLint | tex_mode_
OpenMesh::IO::Options | opt_
Mesh | mesh_
MyStripifier | strips_
bool | use_color_
bool | show_vnormals_
bool | show_fnormals_
float | normal_scale_
OpenMesh::FPropHandleT< typename Mesh::Point > | fp_normal_base_

## Detailed Description

Definition at line 110 of file VDPMSynthesizerViewerWidget.hh.

The documentation for this class was generated from the following files:

- OpenFlipper/libs_required/OpenMesh/src/OpenMesh/Apps/VDProgMesh/Synthesizer/VDPMSynthesizerViewerWidget.hh
- OpenFlipper/libs_required/OpenMesh/src/OpenMesh/Apps/VDProgMesh/Synthesizer/VDPMSynthesizerViewerWidget.cc